Summary:       An old-school drum-kit sampler
Name:          drumkv1
Version:       0.3.0
Release:       1%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://sourceforge.net/projects/%{name}
Source0:       http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires: alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libsndfile-devel
BuildRequires: qt4-devel
BuildRequires: lv2-devel
BuildRequires: desktop-file-utils
Requires:      hicolor-icon-theme

%description
%{name} is an old-school all-digital drum-kit sampler synthesizer with 
stereo fx.

%package -n lv2-%{name} 
Summary:       An LV2 port of %{name} 
Group:         Applications/Multimedia
Requires:      lv2

%description -n lv2-%{name}
An LV2 plugin of the %{name} synth

%prep
%setup -q
sed -i -e 's|-ffast-math|-ffast-math %{optflags} -fPIC |' %{name}_lv2.pro
sed -i -e 's|-ffast-math|-ffast-math %{optflags} -fPIC |' %{name}_jack.pro
# correct handling of arch for 64-bit arches
sed -i -e 's|ARCH, x86_64|ARCH, x86_64\|ppc64\|s390x\|sparc64\|aarch64|' src/src_lv2.pro

%build
%configure --prefix=%{_prefix} --with-lv2=%{_libdir}/lv2
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
chmod +x %{buildroot}%{_libdir}/lv2/%{name}.lv2/%{name}.so
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files 
%doc COPYING AUTHORS README ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}_jack

%files -n lv2-%{name}
%doc COPYING
%{_libdir}/lv2/%{name}.lv2/

%changelog
* Thu Jan 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.3.0-1
- New upstream release

* Mon Nov 19 2012 Dan Horák <dan[at]danny.cz> 0.1.0-5
- updated for all 64-bit arches

* Sat Nov 17 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.0-4
- Renable hidden source directories
- Add COPYING to lv2 plugin
- Force LV2 path in configure
- Correct arch handling 
- Remove explicit version requires on lv2

* Thu Nov 15 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.0-3
- Remove hidden source directories

* Fri Oct 26 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.0-2
- Clean up spec

* Thu Oct 25 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.0-1
- Initial build
